#
# spec file
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define panel_version 4.12.0
%define plugin places
%bcond_with git
Name:           xfce4-%{plugin}-plugin
Version:        1.8.2
Release:        bp160.1.8
Summary:        Places Menu Plugin for the Xfce Panel
License:        GPL-2.0-or-later
Group:          System/GUI/XFCE
URL:            https://goodies.xfce.org/projects/panel-plugins/xfce4-places-plugin
Source0:        https://archive.xfce.org/src/panel-plugins/%{name}/1.8/%{name}-%{version}.tar.bz2
BuildRequires:  fdupes
BuildRequires:  intltool
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(exo-2)
BuildRequires:  pkgconfig(gio-2.0)
BuildRequires:  pkgconfig(gio-unix-2.0)
BuildRequires:  pkgconfig(glib-2.0) >= 2.42
BuildRequires:  pkgconfig(gmodule-2.0)
BuildRequires:  pkgconfig(gobject-2.0)
BuildRequires:  pkgconfig(gthread-2.0)
BuildRequires:  pkgconfig(gtk+-3.0) >= 3.22
BuildRequires:  pkgconfig(libnotify)
BuildRequires:  pkgconfig(libxfce4panel-2.0)
BuildRequires:  pkgconfig(libxfce4ui-2) >= 4.13.0
BuildRequires:  pkgconfig(libxfce4util-1.0)
BuildRequires:  pkgconfig(libxfconf-0) >= %{panel_version}
%if %{with git}
BuildRequires:  xfce4-dev-tools
%endif
Requires:       xfce4-panel >= %{panel_version}
Recommends:     %{name}-lang = %{version}
# package was renamed in 2019 after Leap 15.1
Provides:       xfce4-panel-plugin-%{plugin} = %{version}-%{release}
Obsoletes:      xfce4-panel-plugin-%{plugin} < %{version}-%{release}
Obsoletes:      xfce4-panel-plugin-%{plugin}-debuginfo

%description
The Places plugin provides a menu with quick access to folders,
documents, and removable media.

%package lang
Summary:        Translations for package %{name}
Group:          System/Localization
Requires:       %{name} = %{version}
Supplements:    %{name}
Provides:       %{name}-lang-all = %{version}
# package was renamed in 2019 after Leap 15.1
Obsoletes:      xfce4-panel-plugin-%{plugin}-lang < %{version}-%{release}
Provides:       xfce4-panel-plugin-%{plugin}-lang = %{version}-%{release}
BuildArch:      noarch

%description lang
Provides translations for the "%{name}" package.

%prep
%autosetup

%build
%if %{with git}
NOCONFIGURE=1 ./autogen.sh
%configure \
  --enable-maintainer-mode \
  --disable-static
%else
%configure --disable-static
%endif
%make_build

%install
%make_install

rm -f %{buildroot}%{_libdir}/xfce4/panel/plugins/libplaces.la

rm -rf %{buildroot}%{_datadir}/locale/{ast,kk,tl_PH,ur_PK}

%find_lang %{name} %{name}.lang %{?no_lang_C}

%fdupes %{buildroot}%{_datadir}

%files
%doc AUTHORS NEWS README.md TODO
%license COPYING
%{_bindir}/xfce4-popup-places
%{_libdir}/xfce4/panel/plugins/libplaces.so
%{_datadir}/xfce4/panel/plugins/places.desktop

%files lang -f %{name}.lang

%changelog
* Mon Sep 26 2022 Marcel Kuehlhorn <tux93@opensuse.org>
- Update to version 1.8.2
  * Remove soon-to-be-deprecated exo-string functions
  * Remove unnecessary exo_noop() dependence
  * Fix intltool lock file problem during make distcheck
  * Use the new g_drive_is_removable over g_drive_is_media_removable
  * Replace ExoBinding with GBinding
  * Remove GSourceFunc casts
  * Fix missing-prototypes
  * Fix compilation warnings
  * autoconf: Some updates
  * Delete obsolete eo.po
  * Delete obsolete et.po Bug #15547)
  * Update URLs from goodies.x.o to docs.x.o (bxo#16172)
  * Translation Updates
* Thu Jan  7 2021 Maurizio Galli <maurizio.galli@gmail.com>
- Fixed dependency requirements for GTK3: pkgconfig(libxfce4panel-2.0)
* Fri Aug 16 2019 Maurizio Galli <maurizio.galli@gmail.com>
- Fixed sources in spec file
* Mon Aug 12 2019 Maurizio Galli <maurizio.galli@gmail.com>
- Update to version 1.8.1
  * Cleanup old xfce4-popup-places code
  * Fix uninitialized value
  * Update the build system to be compliant with other plugins
  * Updated translations
- Changes from version 1.8.0
  * Port to GTK+ 3!
  * Bumped dependencies to modern stack:
  - GTK 3.22
  - GLib 2.42
  - Xfce 4.12
  * Added support for Xfce Panel's icon size preference
  * Improved appearance of the preferences dialog
  * Fixed crash with undefined symbol (bxo#11939)
  * Updated translations
- Package renamed to follow upstream name xfce4-foo-plugin
- Use lang subpackage for manual edits instead of %%lang_package macro
- Cleaned up spec file
- Use %%license for COPYING
- Only include NEWS as changelog
- Added bcond for git master builds
* Mon Sep 28 2015 cyberorg@opensuse.org
- add -fgnu89-inline fix undefined symbol: places_bookmark_destroy
  see https://bugzilla.redhat.com/show_bug.cgi?id=1225713
* Thu Mar  5 2015 gber@opensuse.org
- update to version 1.7.0
  - use Gtk+-3.0 bookmark location
  - recent documents are sorted by most recently used
  - button occupies the whole panel height/width when the label is
    shown
  - updated translations
* Sun Nov 24 2013 gber@opensuse.org
- update to version 1.6.0
  - added support for network devices in ~/.gtk-bookmarks
  - updated translations
* Tue Aug 28 2012 gber@opensuse.org
- update to version 1.4.0
  - updated translations
  - compile plugin as a library/module
  - save settings when the configuration dialog box is closed
  - improved plugin button layout
  - use a preferred file manager as set in Xfce settings
  - fixed "Mount and Open" function
* Fri Apr 20 2012 gber@opensuse.org
- added documentation files
* Tue Apr 17 2012 gber@opensuse.org
- corrected source URL
* Sat Apr 14 2012 gber@opensuse.org
- update to version 1.3.0
  - several long-standing issues were patched, which should reduce
    burden on distributors
  - compatibility with xfce4-panel v4.9
- dropped obsolete
  xfce4-panel-plugin-places-1.2.0-fix-build-with-4.7.patch,
  xfce4-panel-plugin-places-fix-linking.patch,
  xfce4-places-plugin-1.2.0-port-to-gio.patch
- specfile cleanup
- correct dependencies
- split off -lang subpackage
* Sat Aug 27 2011 gber@opensuse.org
- added xfce4-panel-plugin-places-fix-linking.patch in order to fix
  an underlinking issue
* Mon May 30 2011 gber@opensuse.org
- added xfce4-places-plugin-1.2.0-port-to-gio.patch which includes
  a port from thunar-vfs to GIO (from bxo#6663)
- more accurate dependencies
* Wed Mar  9 2011 gber@opensuse.org
- new package (split off from xfce4-panel-plugins)
